December 14, 2005

Dear Costco Shareholders,

     Costco has now completed 22 years in business, and we are proud to have achieved several milestones dur-
ing this past fiscal year. Our sales exceeded $50 billion ($51.9 billion in fiscal 2005), and our net profit topped
the $1 billion mark ($1.063 billion), both historical records for our Company. Our comparable sales, sales for
units opened for more than twelve months, were a healthy 7% for the fiscal year, and in the first three months of
fiscal 2006 (September, October and November) our comparable sales continued at a strong pace of 9%. We are
proud of the fact that in the 267 months we have been in business, Costco has never reported a negative "comp
sales" figure.

     One of the drivers for our success continues to be our outstanding sales volumes per warehouse, which lead
the industry at nearly double those of our nearest club competitor. Our average sales for fiscal 2005 were $120
million per building ($124 million at U.S. locations only); and we had twenty-five warehouses with sales exceed-
ing $200 million, with one topping $300 million! There are many additional Costco warehouses nearing these
figures, and we expect to see these numbers rise again next year.

     Our gross margin remained strong in fiscal 2005 despite our on-going goal of bringing quality goods to
market at the lowest possible prices. Control over our inventory is paramount to our success: exciting, high-
quality merchandise, high inventory turns and low inventory shrinkage. Our shrink numbers, we believe, are not
only the lowest in our industry, but they were the lowest in Costco history, well below .20% for fiscal 2005. In
addition, our continued emphasis on cost controls and expense reduction enabled us to reduce our selling, general
and administrative (SG&A) expenses as a percent of sales for the second year in a row--from 9.75% to 9.73%.

      We remain committed to expansion, both domestically and abroad, and our success can be measured. Last
year we were the fifth largest retailer in the United States and the eleventh largest in the world. This year we are
the fourth largest retailer in the U.S. and the ninth largest worldwide; and we are at number 29 in the Fortune
500. Costco completed fiscal 2005 with 460 warehouses operating in 37 U.S. states, Puerto Rico and seven addi-
tional countries, including 27 units in Mexico, where we operate with a joint venture partner. We opened 24
buildings in fiscal 2005: fourteen were in the U.S., four in Canada, one each in the United Kingdom, Taiwan and
Japan, and three in Mexico. Five were relocations, where we replaced an older building with a new, larger unit to
better serve our members and increase sales. This gave us a net increase of nineteen new warehouses worldwide
in fiscal 2005.

     We have had a lot of success in increasing market share in existing communities where we operate. Our
membership penetration is as high as two-thirds of the households in some key Costco markets; and we are con-
vinced there is still a lot of room for increased membership growth and sales penetration. We currently have 45.3
million loyal members, with an industry-leading 86% renewal rate. Our Executive Membership category con-
tinues to expand and currently has 4.2 million members.

      We continue to add buildings in our successful markets, and without exception we find that our new loca-
tions help us grow our business and add significantly to our sales in the local area. When we open a warehouse
closer to where people live and work, they shop more frequently; and we anticipate continued strong growth in
"infill" markets in the years to come.

      In the United States this past fiscal year, we opened infill buildings in Cypress, California; Mount Prospect,
Illinois; Eden Prairie, Minnesota; Mount Laurel, New Jersey; Alpharetta, Georgia; Green Oak Township, Michi-
gan; Woodinville, Washington; and a Costco Home in Tempe, Arizona. New U.S. market openings in 2005 were
West Des Moines, Iowa; and Grand Rapids East and Wyoming, Michigan. We relocated older buildings to new,
larger warehouses in Chula Vista and Fremont, California; but the relocation most dear to our hearts was the new
Seattle #01 Costco which we opened in March, replacing our very first Costco unit, originally opened in Sep-
tember 1983, near downtown Seattle.


                                                         2
    In Canada, our infills were in Boucherville, Quebec and Langley, British Columbia; and we relocated our
South Edmonton and Mississauga, Ontario warehouses to newer, larger facilities. Overseas, we opened in a new
market in Kanazawa Seaside, Japan, as well as added infill buildings in Chung Ho, Taiwan and Bristol, England.

     Our goal is to open twenty-five to thirty new locations in fiscal 2006, and we are already well on our way.
So far we have added eight new U.S. warehouses since the end of fiscal 2005 in August, all of which are infill
buildings except San Luis Obispo, California. They are in Pembroke Pines, Florida; Centennial, Nevada; Phoenix
and Chandler, Arizona; Hillsboro, Oregon; West Bountiful, Utah; and San Luis Obispo and La Habra, California.
We also replaced our Kalispell, Montana warehouse with a new unit, bringing our current fiscal 2006 U.S. open-
ings to nine.

    Internationally, we continue our expansion and are seeing increasing success in each of the countries where
we do business. We started fiscal 2006 by opening warehouses in new markets in Milton Keynes, England and
Veracruz, Mexico, and we plan to open five to seven more international locations before the end of fiscal 2006.

      At the same time, we are mindful of growing our infrastructure to support our warehouse operations. We
built a new, state-of-the-art meat plant in Tracy, California last Spring, enabling us to meet and exceed the latest
federal regulations for meat safety and significantly increasing our production capacity and efficiency. The
150,000 square-foot facility can hold up to three million pounds of frozen meat and enables us to process 20,000
pounds an hour. This fall we opened two new depots--one in Langley, British Columbia and one in Salt Lake
City, Utah. Both are cross-docking facilities with the latest in high-tech systems to give us additional cost and
time efficiencies in shipping products to our warehouses.

     We have built our business on the excitement generated by truly great merchandising. In simple terms, that
means we source the right products at the right prices, stock them at the right time in the right place in our build-
ings, and ensure that they are of high quality and in good condition. Our members love the treasure-hunt atmos-
phere we create in our warehouses, where they can come in for a roll of paper towels and leave with a cart full of
high-value goods, everything from fine diamonds to fine wines to the latest high-tech toys. Our suppliers are our
partners in this process, and we are proud of the strong relationships we have developed with some of the finest
organizations in the world--companies like Canon, Casio, Coca Cola, Colgate-Palmolive, Dell, Fuji, Hewlett
Packard, Kimberly-Clark, Kodak, Lane, Levis, Michelin, Nestle, Olympus, Panasonic, Pepsi, Philips, Procter &
Gamble, Toshiba and hundreds more. New supplier relationships include Adidas, Calvin Klein Home, Calvin
Klein Sportswear, Carnegie Deli, Jones of New York, Kitchen Aid, Le Creuset, Lexington, Pioneer, Samsung
and Sony TV.

     Certainly, one of the exciting sales trends in consumer electronics today is the rapid transition to high-
definition television, and we believe Costco is one of the best merchants in North America in this business. Our
fiscal 2005 sales in this product category were up 169%, and this growth increased our average sell price in the
TV category by 63%. We sold over 1.5 million TVs in fiscal 2005. Costco is also capitalizing on the rapid emer-
gence of digital photography, which is resulting in a host of new products and applications. Teaming our E-
commerce site with our warehouses, we now have the Costco Photo Center, accessible through costco.com,
where members can upload their images online and pick up prints at their local warehouse in as little as an hour.
This partnership helped our 1-Hour Photo sales increase by over 10% in 2005, in a year when the industry overall
showed negative sales growth.

      Our E-commerce business, costco.com, continues to grow dramatically. Fiscal 2005 sales were $534 mil-
lion, a 42% increase over 2004. Costco.com has a high potential for significant growth, and we believe it can
become a leader in the E-commerce industry. We have established ambitious goals for this business over the next
five years, and we should see sales approaching $1 billion in the coming year. Current top sellers on costco.com
include computers, digital cameras and furniture, and we have added other very exciting new products, including
fine art pieces such as Picasso originals, musical instruments and Suzuki pianos, wedding flowers and flowers in


                                                         3
bulk, and gourmet food items including live lobsters, prime steaks, caviar and champagne. Another way we
are linking our brick and mortar buildings with our web business is through costco.com special-order kiosks,
which we are installing in many of our warehouses this fall. We are seeing increasing sales of non-warehouse
items via the kiosks, such as Xbox presales, special-order tires and Dell computers. We also opened an
E-commerce site in Canada in February 2005, costco.ca, which is generating a lot of enthusiasm in this very
important Costco market.

     All of Costco's ancillary businesses continue to draw members into our warehouses for more frequent
shops, generating increasing revenue for the company. Our warehouse ancillary sales increased by more than
20% in fiscal 2005 to more than $6.5 billion. Because of our excellent service, pricing and safety standards, we
receive a lot of positive media response. Our pharmacies have been featured in primetime news programs in
nearly every major U.S. market where we operate, showcasing that our prices on prescription drugs, particularly
generic drugs, are always the best in the market place, often by as much as 80% to 90% less than at other stores.
With 331 pharmacy locations, we filled over 21 million prescriptions in fiscal 2005 and our sales rose nearly
12%. Our signature fresh foods departments are favorites in all the locations around the world where we do busi-
ness, because we offer the highest quality and greatest value on our total product selection, presented in an envi-
ronment where we demand high standards of food safety. We sold almost twenty-five million rotisserie chickens
in the U.S. alone this past fiscal year--that's nearly 500,000 chickens a week! Our whole pizza sales were up
13%, and our Caesar salad sales were up 28%. And, of course, our $1.50 hot dog/soda pop combo is legendary;
we sold over one million of these each week in fiscal 2005.

      Costco Home, the Company's free-standing, high-end furniture warehouse business, opened its second fa-
cility this year in Tempe, Arizona. Opening day sales were the eighth largest first-day sales results in Costco his-
tory. Sales from the two buildings represent a 132% increase over 2004 sales, and profits are up significantly,
showing a strong growth potential for this venture. The Company plans to open a third Costco Home unit in late
2006.

     At the end of fiscal 2005, we had 225 gas stations pumping out the lowest-priced gasoline in virtually every
market where we operate. Members are willing to wait in line to get gas, knowing that Costco will give them the
best value in town. We had gasoline sales of more than $3 billion in fiscal 2005, an increase of 32% over fiscal
2004, and we made a profit despite the turbulent market.

     The Company's private label Kirkland Signature products have earned brand name status around the world
and provide unparalleled value to our members, where we strive to provide a minimum of 20% savings compared
to Costco's price on the leading national brand. We currently have nearly 400 Kirkland Signature items and be-
lieve we can add several hundred more in the next five years. New and upcoming items include Kirkland Sig-
nature cosmetics, co-branded with the upscale Borghese brand, as well as diapers, beauty bars, organic peanut
butter, and numerous other items.

      As founders of this Company, our greatest sense of satisfaction and pride is with the management team we
have assembled that is completely capable of operating our business. Costco is led by one of the most stable and
skilled management teams in the retail industry. Many of our executives have been with us for twenty or more
years (our senior officers, thirty-four in number, average nearly twenty years with Costco; and our 460 ware-
house managers average fifteen and one-half years). They are well compensated and highly sought after, and they
stay with our Company. In fact, employee loyalty is strong at all levels of our company, and the turnover rate of
our 115,000 employees is the lowest in big retail. We are constantly recognized for having a highly motivated
and skilled workforce that exceeds our members expectations. We are thankful for and proud of them all.

     This year we spent considerable time and effort evaluating and upgrading our internal controls to be in com-
pliance with regulations such as Sarbanes-Oxley 404 Internal Controls. We are pleased with our performance and
were able to enhance and streamline many of our policies and procedures as we met the extensive requirements
of these regulations.


                                                         4
     We remain committed to running our Company and living conscientiously by our Code of Ethics every day:
to obey the law; take care of our members; take care of our employees; respect our suppliers; and reward you, our
shareholders. You are our partners in business, and we appreciate the support and confidence that you have
placed in all of us. As Costco's founders, we want you to know that our ongoing goal is to reward our share-
holders, and we personally join our fellow employees in striving for excellence day in and day out, in every as-
pect of our business. The results speak for themselves. Our stock has grown at a compounded annual rate of 17
percent a year over the past 10 years, and we increased our dividends to our shareholders by 15% in 2005--from
$.10 per quarter to $.115 per quarter--paying out $200 million in fiscal 2005. Additionally, over the past seven
months, we have repurchased approximately 16.7 million shares of Costco stock at an aggregate purchase price
of $772.6 million, or $46.37 per share. We believe this will have positive shareholder value implications, partic-
ularly given our strong cash and cash flow positions, which can more than accommodate our planned expansion
plans.

     We are in business not for the short term, but for the long haul. Our strategy aims at expanding our oper-
ations and increasing our sales and profits over the succeeding years. As our partners, you can be certain that we
are committed to operating our Company with integrity and the highest standards of fiduciary responsibility. Our
cash flow is strong, and we added to our cash balances even after spending $1 billion in capital expenditures
(primarily for new warehouse and depot openings), retiring $300 million in debt, and buying back $413 million
worth of stock in fiscal 2005.

     We are never satisfied with the status quo, and recognize that we have many opportunities for improvement.
We are constantly working toward improving our existing business, while creating new avenues to expand our
business for long-term growth and success. We look forward to seeing many of you, discussing our results for
fiscal 2005 and sharing our vision for the future of Costco, at our Annual Meeting of Shareholders on January 25,
2006 in Bellevue, Washington.

     Finally, while we recognize that fiscal 2005 was a great year in so many ways for our Company, we must
also acknowledge that the past twelve months were filled with many tragedies and challenges throughout the
world. From the tsunami in Southeast Asia last December, to hurricanes Katrina, Rita and Wilma, to the
devastating earthquakes that hit Pakistan in October, we share in the grief that has befallen so many. In addition
to the Company's scheduled fiscal 2005 charitable giving of nearly $14 million, an additional $2.4 million ($2
million in cash and over $400,000 in products such as water, wipes and diapers) was contributed to relief agen-
cies working on the front lines of these terrible tragedies. Further, we are most proud that an additional $11.7
million was collected at our warehouse registers, representing contributions from many of our members and em-
ployees. These contributions, together with so many more contributions from companies and individuals
throughout the world, should make us all be thankful for what we have and be hopeful that each and every con-
tribution can help those less fortunate.

     Many thanks for your ongoing support and confidence, and best wishes for a wonderful Holiday Season and
a prosperous, happy and healthy New Year.

Warm Regards,




Jeff Brotman                                                Jim Sinegal
Chairman of the Board                                       President & CEO